MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024452Community[OCCT] OCCT:Visualizationpublic2013-12-10 13:202013-12-19 14:00
ReporterPawel 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024452: TKOpenGl - Memory leak in OpenGl_ShaderManager
DescriptionIn line 314 the method returns without cleaning the 'aLightTypeArray' array.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027149)
Pawel (developer)
2013-12-10 13:28

Branch CR24452 pushed. Please review.
(0027153)
kgv (developer)
2013-12-10 14:06

Tabulation symbol has been corrected. Patch is ready for testing.
(0027168)
apn (administrator)
2013-12-11 13:45

Dear BugMaster,

Branch CR24452 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 5d0bdabc8bd59179bfbddf914db072a3619cedb2

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 21 (21 on master)
Windows: 8 (8 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 357990548 / 358751632
Total CPU difference: 42448.70000000009 / 67595.85000000008

Testing on Windows:
Total MEMORY difference: 413026768 / 413232620
Total CPU difference: 29482.703125 / 30599.546875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 0c4033b4
Timestamp: 2013-12-10 10:05:08
Author: abv
Committer: abv
Details ] Diff ]
0024452: TKOpenGl - Memory leak in OpenGl_ShaderManager
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-10 13:20 Pawel New Issue
2013-12-10 13:20 Pawel Assigned To => Pawel
2013-12-10 13:28 Pawel Note Added: 0027149
2013-12-10 13:28 Pawel Assigned To Pawel => bugmaster
2013-12-10 13:28 Pawel Status new => resolved
2013-12-10 13:30 abv Assigned To bugmaster => kgv
2013-12-10 14:02 kgv Severity minor => trivial
2013-12-10 14:02 kgv Reproducibility have not tried => always
2013-12-10 14:02 kgv Summary Memory leak in OpenGl_ShaderManager.cxx => TKOpenGl - Memory leak in OpenGl_ShaderManager
2013-12-10 14:06 kgv Note Added: 0027153
2013-12-10 14:06 kgv Assigned To kgv => bugmaster
2013-12-10 14:06 kgv Status resolved => reviewed
2013-12-10 14:14 apn Assigned To bugmaster => apn
2013-12-11 13:45 apn Note Added: 0027168
2013-12-11 13:45 apn Test case number => Not needed
2013-12-11 13:45 apn Assigned To apn => bugmaster
2013-12-11 13:45 apn Status reviewed => tested
2013-12-13 14:09 abv Changeset attached => occt master 0c4033b4
2013-12-13 14:09 abv Assigned To bugmaster => abv
2013-12-13 14:09 abv Status tested => verified
2013-12-13 14:09 abv Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker